package gov.va.vinci.dart.dms.db;

import org.testng.Assert;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;

import gov.va.vinci.dart.common.SingletonShim;
import gov.va.vinci.dart.common.test.BusinessIntegrationTest;
import gov.va.vinci.dart.dms.biz.Repository;
import gov.va.vinci.dart.service.DartObjectFactory;

public class TestRepositoryDAO extends BusinessIntegrationTest {
	@BeforeTest
	public void setup() {
		SingletonShim.getBean(DartObjectFactory.class);
	}

	@Test
	public void testOne() throws Exception {
		Repository repo = DartObjectFactory.getInstance().getRepositoryDAO().findById(1);
		Assert.assertNotNull(repo);
		Assert.assertEquals(repo.getId(), 1);
	}
	
}
